Summary: Commands for accessing the CREAM service
Name: glite-ce-cream-cli
Version: %{extversion}
Release: %{extage}.%{extdist}
License: Apache Software License
Vendor: EMI
URL: http://glite.cern.ch/
Group: Applications/Internet
BuildArch: %{_arch}
Requires: uberftp
BuildRequires: %{!?extbuilddir:glite-jdl-api-cpp-devel,} chrpath
BuildRequires: %{!?extbuilddir:glite-ce-cream-client-devel,} libtool
BuildRequires: globus-common-devel, globus-callout-devel, globus-openssl-devel
BuildRequires: globus-openssl-module-devel, globus-gsi-callback-devel, globus-gsi-cert-utils-devel
BuildRequires: globus-gsi-credential-devel, globus-gsi-openssl-error-devel, globus-gsi-proxy-core-devel
BuildRequires: globus-gsi-proxy-ssl-devel, globus-gsi-sysconfig-devel,globus-gssapi-error-devel
BuildRequires: globus-gssapi-gsi-devel, globus-gss-assist-devel
BuildRequires: globus-ftp-client-devel, globus-ftp-control-devel
BuildRequires: %{!?extbuilddir: gridsite-devel, voms-devel,} libxml2-devel, boost-devel
BuildRequires: %{!?extbuilddir: glite-jobid-api-c-devel,} classads-devel, 
BuildRequires: %{!?extbuilddir: glite-lbjp-common-gsoap-plugin-devel,} docbook-style-xsl
BuildRequires: %{!?extbuilddir:glite-build-common-cpp, } libxslt
BuildRequires: gsoap-devel, libxml2-devel, log4cpp-devel, c-ares-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv: yes
Source: %{name}-%{version}-%{release}.tar.gz

%global debug_package %{nil}

%description
The CREAM client is a collection of commands for accessing the CREAM service

%prep
 

%setup -c

%build
%{!?extbuilddir:%define extbuilddir "--"}
if test "x%{extbuilddir}" == "x--" ; then
  ./configure --prefix=%{buildroot}/usr --sysconfdir=%{buildroot}/etc --disable-static PVER=%{version}
  make
fi

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
%{!?extbuilddir:%define extbuilddir "--"}
if test "x%{extbuilddir}" == "x--" ; then
  make install
else
  cp -R %{extbuilddir}/* %{buildroot}
fi
rm %{buildroot}/usr/lib64/*.la
strip -s %{buildroot}/usr/lib64/*.so.0.0.0
strip -s %{buildroot}/usr/bin/*
chrpath --delete %{buildroot}/usr/bin/*
export QA_SKIP_BUILD_ROOT=yes

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig 

%files
%defattr(-,root,root)
%dir /etc/glite-ce-cream-cli/
%config(noreplace) /etc/glite-ce-cream-cli/glite_cream.conf.template
/usr/bin/glite-ce-*
%dir /usr/share/doc/%{name}-%{version}/
%doc /usr/share/doc/%{name}-%{version}/LICENSE
%doc /usr/share/man/man1/glite-ce-*.1.gz
/usr/lib64/libglite_ce_cream_cli_*.so
/usr/lib64/libglite_ce_cream_cli_*.so.0
/usr/lib64/libglite_ce_cream_cli_*.so.0.0.0



%changelog
* %{extcdate} CREAM group <cream-support@lists.infn.it> - %{extversion}-%{extage}.%{extdist}
- %{extclog}
 
