#  Copyright (c) Members of the EGEE Collaboration. 2004. 
#  See http://www.eu-egee.org/partners/ for details on the copyright
#  holders.  
#  
#  Licensed under the Apache License, Version 2.0 (the "License"); 
#  you may not use this file except in compliance with the License. 
#  You may obtain a copy of the License at 
#  
#      http://www.apache.org/licenses/LICENSE-2.0 
#  
#  Unless required by applicable law or agreed to in writing, software 
#  distributed under the License is distributed on an "AS IS" BASIS, 
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
#  See the License for the specific language governing permissions and 
#  limitations under the License.

SUBDIRS = util ftpclient services

bin_PROGRAMS = glite-ce-job-submit \
		glite-ce-delegate-proxy \
		glite-ce-job-lease \
		glite-ce-job-status \
		glite-ce-job-cancel \
		glite-ce-job-resume \
		glite-ce-job-suspend \
		glite-ce-job-purge \
		glite-ce-enable-submission \
		glite-ce-disable-submission \
		glite-ce-allowed-submission \
		glite-ce-get-cemon-url \
		glite-ce-proxy-renew \
		glite-ce-event-query \
		glite-ce-job-list \
		glite-ce-service-info \
		glite-ce-job-output \
		glite-es-activity-create \
		glite-es-delegate-proxy \
		glite-es-activity-status \
		glite-es-notify-service \
		glite-es-delegation-renew \
		glite-es-activity-list \
		glite-es-activity-cancel \
		glite-es-activity-wipe \
		glite-es-delegation-info \
		glite-es-activity-pause \
		glite-es-activity-resume \
		glite-es-activity-info \
		glite-es-activity-restart \
		glite-es-get-resourceinfo \
		glite-es-query-resourceinfo

glite_es_get_resourceinfo_SOURCES = glite-es-get-resourceinfo.cpp

glite_es_query_resourceinfo_SOURCES = glite-es-query-resourceinfo.cpp

glite_es_activity_restart_SOURCES = glite-es-activity-restart.cpp

glite_es_activity_info_SOURCES = glite-es-activity-info.cpp

glite_es_activity_resume_SOURCES = glite-es-activity-resume.cpp

glite_es_activity_pause_SOURCES = glite-es-activity-pause.cpp

glite_es_delegation_info_SOURCES = glite-es-delegation-info.cpp

glite_es_activity_wipe_SOURCES = glite-es-activity-wipe.cpp

glite_es_activity_cancel_SOURCES = glite-es-activity-cancel.cpp

glite_es_activity_list_SOURCES = glite-es-activity-list.cpp

glite_es_delegation_renew_SOURCES = glite-es-delegation-renew.cpp

glite_es_notify_service_SOURCES = glite-es-notify-service.cpp

glite_es_activity_status_SOURCES = glite-es-activity-status.cpp

glite_es_delegate_proxy_SOURCES = glite-es-delegate-proxy.cpp

glite_es_activity_create_SOURCES = glite-es-activity-create.cpp

glite_ce_proxy_renew_SOURCES = glite-ce-proxy-renew.cpp

glite_ce_service_info_SOURCES = glite-ce-service-info.cpp

glite_ce_job_lease_SOURCES = glite-ce-job-lease.cpp

glite_ce_job_list_SOURCES = glite-ce-job-list.cpp

glite_ce_delegate_proxy_SOURCES = glite-ce-delegate-proxy.cpp

glite_ce_get_cemon_url_SOURCES = glite-ce-get-cemon-url.cpp

glite_ce_job_submit_SOURCES = glite-ce-job-submit.cpp

glite_ce_job_cancel_SOURCES = glite-ce-job-cancel.cpp

glite_ce_job_resume_SOURCES = glite-ce-job-resume.cpp

glite_ce_job_suspend_SOURCES = glite-ce-job-suspend.cpp

glite_ce_job_status_SOURCES = glite-ce-job-status.cpp

glite_ce_job_purge_SOURCES = glite-ce-job-purge.cpp

glite_ce_enable_submission_SOURCES = glite-ce-enable-submission.cpp

glite_ce_disable_submission_SOURCES = glite-ce-disable-submission.cpp

glite_ce_allowed_submission_SOURCES = glite-ce-allowed-submission.cpp

glite_ce_event_query_SOURCES = glite-ce-event-query.cpp

glite_ce_job_output_SOURCES = glite-ce-job-output.cpp


glite_ce_job_status_LDFLAGS = \
		$(GLITE_JDL_LIBS) \
		$(GLITE_WMSUTILS_CLASSADS_LIBS) \
		../src/util/libglite_ce_cream_cli_JDL.la \
		../src/ftpclient/libglite_ce_cream_cli_ftpclient.la \
		$(GLITE_WMSUTILS_JOBID_LIBS) \
		$(GLITE_WMSUTILS_CJOBID_LIBS) \
		$(GLITE_WMSUTILS_EXCEPTION_LIBS) \
		$(GRIDSITE_OPENSSL_LIBS) \
		$(GLITE_CREAM_SOAP_LIBS) \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		../src/util/libglite_ce_cream_cli_util.la \
		../src/services/libglite_ce_cream_cli_services.la \
		$(GSOAP_PLUGIN_LIBS) \
		$(LOG4CPP_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
                $(GLOBUS_FTP_CLIENT_LIBS) \
                $(GLOBUS_FTP_CONTROL_LIBS) \
		$(CLASSAD_LIBS) \
		$(BOOST_FS_LIBS) \
		$(BOOST_THREAD_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
                $(ARES_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GLITE_JOBID_LIBS) \
		$(GSOAP_LIBS) 

glite_ce_job_submit_LDFLAGS = \
		$(GLITE_JDL_LIBS) \
		$(GLITE_WMSUTILS_CLASSADS_LIBS) \
		../src/util/libglite_ce_cream_cli_JDL.la \
		../src/ftpclient/libglite_ce_cream_cli_ftpclient.la \
		$(GLITE_WMSUTILS_JOBID_LIBS) \
		$(GLITE_WMSUTILS_CJOBID_LIBS) \
		$(GLITE_WMSUTILS_EXCEPTION_LIBS) \
		$(GRIDSITE_OPENSSL_LIBS) \
		$(GLITE_CREAM_SOAP_LIBS) \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		../src/util/libglite_ce_cream_cli_util.la \
		../src/services/libglite_ce_cream_cli_services.la \
		$(GSOAP_PLUGIN_LIBS) \
		$(LOG4CPP_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
                $(GLOBUS_FTP_CLIENT_LIBS) \
                $(GLOBUS_FTP_CONTROL_LIBS) \
		$(CLASSAD_LIBS) \
		$(BOOST_FS_LIBS) \
		$(BOOST_THREAD_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
                $(ARES_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GLITE_JOBID_LIBS) \
		$(GSOAP_LIBS) 

glite_ce_job_list_LDFLAGS = \
		$(GLITE_JDL_LIBS) \
		$(GLITE_WMSUTILS_CLASSADS_LIBS) \
		../src/util/libglite_ce_cream_cli_JDL.la \
		../src/ftpclient/libglite_ce_cream_cli_ftpclient.la \
		$(GLITE_WMSUTILS_JOBID_LIBS) \
		$(GLITE_WMSUTILS_CJOBID_LIBS) \
		$(GLITE_WMSUTILS_EXCEPTION_LIBS) \
		$(GRIDSITE_OPENSSL_LIBS) \
		$(GLITE_CREAM_SOAP_LIBS) \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		../src/util/libglite_ce_cream_cli_util.la \
		../src/services/libglite_ce_cream_cli_services.la \
		$(GSOAP_PLUGIN_LIBS) \
		$(LOG4CPP_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
                $(GLOBUS_FTP_CLIENT_LIBS) \
                $(GLOBUS_FTP_CONTROL_LIBS) \
		$(CLASSAD_LIBS) \
		$(BOOST_FS_LIBS) \
		$(BOOST_THREAD_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
                $(ARES_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GLITE_JOBID_LIBS) \
		$(GSOAP_LIBS) 

glite_ce_service_info_LDFLAGS = \
		$(GLITE_JDL_LIBS) \
		$(GLITE_WMSUTILS_CLASSADS_LIBS) \
		../src/util/libglite_ce_cream_cli_JDL.la \
		../src/ftpclient/libglite_ce_cream_cli_ftpclient.la \
		$(GLITE_WMSUTILS_JOBID_LIBS) \
		$(GLITE_WMSUTILS_CJOBID_LIBS) \
		$(GLITE_WMSUTILS_EXCEPTION_LIBS) \
		$(GRIDSITE_OPENSSL_LIBS) \
		$(GLITE_CREAM_SOAP_LIBS) \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		../src/util/libglite_ce_cream_cli_util.la \
		../src/services/libglite_ce_cream_cli_services.la \
		$(GSOAP_PLUGIN_LIBS) \
		$(LOG4CPP_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
                $(GLOBUS_FTP_CLIENT_LIBS) \
                $(GLOBUS_FTP_CONTROL_LIBS) \
		$(CLASSAD_LIBS) \
		$(BOOST_FS_LIBS) \
		$(BOOST_THREAD_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
                $(ARES_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GLITE_JOBID_LIBS) \
		$(GSOAP_LIBS) 

glite_ce_proxy_renew_LDFLAGS = \
		$(GLITE_JDL_LIBS) \
		$(GLITE_WMSUTILS_CLASSADS_LIBS) \
		../src/util/libglite_ce_cream_cli_JDL.la \
		../src/ftpclient/libglite_ce_cream_cli_ftpclient.la \
		$(GLITE_WMSUTILS_JOBID_LIBS) \
		$(GLITE_WMSUTILS_CJOBID_LIBS) \
		$(GLITE_WMSUTILS_EXCEPTION_LIBS) \
		$(GRIDSITE_OPENSSL_LIBS) \
		$(GLITE_CREAM_SOAP_LIBS) \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		../src/util/libglite_ce_cream_cli_util.la \
		../src/services/libglite_ce_cream_cli_services.la \
		$(GSOAP_PLUGIN_LIBS) \
		$(LOG4CPP_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
                $(GLOBUS_FTP_CLIENT_LIBS) \
                $(GLOBUS_FTP_CONTROL_LIBS) \
		$(CLASSAD_LIBS) \
		$(BOOST_FS_LIBS) \
		$(BOOST_THREAD_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
                $(ARES_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GLITE_JOBID_LIBS) \
		$(GSOAP_LIBS) 


glite_ce_job_resume_LDFLAGS = \
		$(GLITE_JDL_LIBS) \
		$(GLITE_WMSUTILS_CLASSADS_LIBS) \
		../src/util/libglite_ce_cream_cli_JDL.la \
		../src/ftpclient/libglite_ce_cream_cli_ftpclient.la \
		$(GLITE_WMSUTILS_JOBID_LIBS) \
		$(GLITE_WMSUTILS_CJOBID_LIBS) \
		$(GLITE_WMSUTILS_EXCEPTION_LIBS) \
		$(GRIDSITE_OPENSSL_LIBS) \
		$(GLITE_CREAM_SOAP_LIBS) \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		../src/util/libglite_ce_cream_cli_util.la \
		../src/services/libglite_ce_cream_cli_services.la \
		$(GSOAP_PLUGIN_LIBS) \
		$(LOG4CPP_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
                $(GLOBUS_FTP_CLIENT_LIBS) \
                $(GLOBUS_FTP_CONTROL_LIBS) \
		$(CLASSAD_LIBS) \
		$(BOOST_FS_LIBS) \
		$(BOOST_THREAD_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
                $(ARES_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GLITE_JOBID_LIBS) \
		$(GSOAP_LIBS) 


glite_ce_job_cancel_LDFLAGS = \
		$(GLITE_JDL_LIBS) \
		$(GLITE_WMSUTILS_CLASSADS_LIBS) \
		../src/util/libglite_ce_cream_cli_JDL.la \
		../src/ftpclient/libglite_ce_cream_cli_ftpclient.la \
		$(GLITE_WMSUTILS_JOBID_LIBS) \
		$(GLITE_WMSUTILS_CJOBID_LIBS) \
		$(GLITE_WMSUTILS_EXCEPTION_LIBS) \
		$(GRIDSITE_OPENSSL_LIBS) \
		$(GLITE_CREAM_SOAP_LIBS) \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		../src/util/libglite_ce_cream_cli_util.la \
		../src/services/libglite_ce_cream_cli_services.la \
		$(GSOAP_PLUGIN_LIBS) \
		$(LOG4CPP_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
                $(GLOBUS_FTP_CLIENT_LIBS) \
                $(GLOBUS_FTP_CONTROL_LIBS) \
		$(CLASSAD_LIBS) \
		$(BOOST_FS_LIBS) \
		$(BOOST_THREAD_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
                $(ARES_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GLITE_JOBID_LIBS) \
		$(GSOAP_LIBS) 


glite_ce_disable_submission_LDFLAGS = \
		$(GLITE_JDL_LIBS) \
		$(GLITE_WMSUTILS_CLASSADS_LIBS) \
		../src/util/libglite_ce_cream_cli_JDL.la \
		../src/ftpclient/libglite_ce_cream_cli_ftpclient.la \
		$(GLITE_WMSUTILS_JOBID_LIBS) \
		$(GLITE_WMSUTILS_CJOBID_LIBS) \
		$(GLITE_WMSUTILS_EXCEPTION_LIBS) \
		$(GRIDSITE_OPENSSL_LIBS) \
		$(GLITE_CREAM_SOAP_LIBS) \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		../src/util/libglite_ce_cream_cli_util.la \
		../src/services/libglite_ce_cream_cli_services.la \
		$(GSOAP_PLUGIN_LIBS) \
		$(LOG4CPP_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
                $(GLOBUS_FTP_CLIENT_LIBS) \
                $(GLOBUS_FTP_CONTROL_LIBS) \
		$(CLASSAD_LIBS) \
		$(BOOST_FS_LIBS) \
		$(BOOST_THREAD_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
                $(ARES_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GLITE_JOBID_LIBS) \
		$(GSOAP_LIBS) 

glite_ce_enable_submission_LDFLAGS = \
		$(GLITE_JDL_LIBS) \
		$(GLITE_WMSUTILS_CLASSADS_LIBS) \
		../src/util/libglite_ce_cream_cli_JDL.la \
		../src/ftpclient/libglite_ce_cream_cli_ftpclient.la \
		$(GLITE_WMSUTILS_JOBID_LIBS) \
		$(GLITE_WMSUTILS_CJOBID_LIBS) \
		$(GLITE_WMSUTILS_EXCEPTION_LIBS) \
		$(GRIDSITE_OPENSSL_LIBS) \
		$(GLITE_CREAM_SOAP_LIBS) \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		../src/util/libglite_ce_cream_cli_util.la \
		../src/services/libglite_ce_cream_cli_services.la \
		$(GSOAP_PLUGIN_LIBS) \
		$(LOG4CPP_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
                $(GLOBUS_FTP_CLIENT_LIBS) \
                $(GLOBUS_FTP_CONTROL_LIBS) \
		$(CLASSAD_LIBS) \
		$(BOOST_FS_LIBS) \
		$(BOOST_THREAD_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
                $(ARES_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GLITE_JOBID_LIBS) \
		$(GSOAP_LIBS) 

glite_ce_allowed_submission_LDFLAGS = \
		$(GLITE_JDL_LIBS) \
		$(GLITE_WMSUTILS_CLASSADS_LIBS) \
		../src/util/libglite_ce_cream_cli_JDL.la \
		../src/ftpclient/libglite_ce_cream_cli_ftpclient.la \
		$(GLITE_WMSUTILS_JOBID_LIBS) \
		$(GLITE_WMSUTILS_CJOBID_LIBS) \
		$(GLITE_WMSUTILS_EXCEPTION_LIBS) \
		$(GRIDSITE_OPENSSL_LIBS) \
		$(GLITE_CREAM_SOAP_LIBS) \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		../src/util/libglite_ce_cream_cli_util.la \
		../src/services/libglite_ce_cream_cli_services.la \
		$(GSOAP_PLUGIN_LIBS) \
		$(LOG4CPP_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
                $(GLOBUS_FTP_CLIENT_LIBS) \
                $(GLOBUS_FTP_CONTROL_LIBS) \
		$(CLASSAD_LIBS) \
		$(BOOST_FS_LIBS) \
		$(BOOST_THREAD_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
                $(ARES_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GLITE_JOBID_LIBS) \
		$(GSOAP_LIBS) 


glite_ce_delegate_proxy_LDFLAGS = \
		$(GLITE_JDL_LIBS) \
		$(GLITE_WMSUTILS_CLASSADS_LIBS) \
		../src/util/libglite_ce_cream_cli_JDL.la \
		../src/ftpclient/libglite_ce_cream_cli_ftpclient.la \
		$(GLITE_WMSUTILS_JOBID_LIBS) \
		$(GLITE_WMSUTILS_CJOBID_LIBS) \
		$(GLITE_WMSUTILS_EXCEPTION_LIBS) \
		$(GRIDSITE_OPENSSL_LIBS) \
		$(GLITE_CREAM_SOAP_LIBS) \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		../src/util/libglite_ce_cream_cli_util.la \
		../src/services/libglite_ce_cream_cli_services.la \
		$(GSOAP_PLUGIN_LIBS) \
		$(LOG4CPP_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
                $(GLOBUS_FTP_CLIENT_LIBS) \
                $(GLOBUS_FTP_CONTROL_LIBS) \
		$(CLASSAD_LIBS) \
		$(BOOST_FS_LIBS) \
		$(BOOST_THREAD_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
                $(ARES_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GLITE_JOBID_LIBS) \
		$(GSOAP_LIBS) 


glite_ce_event_query_LDFLAGS = \
		$(GLITE_JDL_LIBS) \
		$(GLITE_WMSUTILS_CLASSADS_LIBS) \
		../src/util/libglite_ce_cream_cli_JDL.la \
		../src/ftpclient/libglite_ce_cream_cli_ftpclient.la \
		$(GLITE_WMSUTILS_JOBID_LIBS) \
		$(GLITE_WMSUTILS_CJOBID_LIBS) \
		$(GLITE_WMSUTILS_EXCEPTION_LIBS) \
		$(GRIDSITE_OPENSSL_LIBS) \
		$(GLITE_CREAM_SOAP_LIBS) \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		../src/util/libglite_ce_cream_cli_util.la \
		../src/services/libglite_ce_cream_cli_services.la \
		$(GSOAP_PLUGIN_LIBS) \
		$(LOG4CPP_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
                $(GLOBUS_FTP_CLIENT_LIBS) \
                $(GLOBUS_FTP_CONTROL_LIBS) \
		$(CLASSAD_LIBS) \
		$(BOOST_FS_LIBS) \
		$(BOOST_THREAD_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
                $(ARES_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GLITE_JOBID_LIBS) \
		$(GSOAP_LIBS) 


glite_ce_get_cemon_url_LDFLAGS = \
		$(GLITE_JDL_LIBS) \
		$(GLITE_WMSUTILS_CLASSADS_LIBS) \
		../src/util/libglite_ce_cream_cli_JDL.la \
		../src/ftpclient/libglite_ce_cream_cli_ftpclient.la \
		$(GLITE_WMSUTILS_JOBID_LIBS) \
		$(GLITE_WMSUTILS_CJOBID_LIBS) \
		$(GLITE_WMSUTILS_EXCEPTION_LIBS) \
		$(GRIDSITE_OPENSSL_LIBS) \
		$(GLITE_CREAM_SOAP_LIBS) \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		../src/util/libglite_ce_cream_cli_util.la \
		../src/services/libglite_ce_cream_cli_services.la \
		$(GSOAP_PLUGIN_LIBS) \
		$(LOG4CPP_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
                $(GLOBUS_FTP_CLIENT_LIBS) \
                $(GLOBUS_FTP_CONTROL_LIBS) \
		$(CLASSAD_LIBS) \
		$(BOOST_FS_LIBS) \
		$(BOOST_THREAD_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
                $(ARES_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GLITE_JOBID_LIBS) \
		$(GSOAP_LIBS) 


glite_ce_job_lease_LDFLAGS = \
		$(GLITE_JDL_LIBS) \
		$(GLITE_WMSUTILS_CLASSADS_LIBS) \
		../src/util/libglite_ce_cream_cli_JDL.la \
		../src/ftpclient/libglite_ce_cream_cli_ftpclient.la \
		$(GLITE_WMSUTILS_JOBID_LIBS) \
		$(GLITE_WMSUTILS_CJOBID_LIBS) \
		$(GLITE_WMSUTILS_EXCEPTION_LIBS) \
		$(GRIDSITE_OPENSSL_LIBS) \
		$(GLITE_CREAM_SOAP_LIBS) \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		../src/util/libglite_ce_cream_cli_util.la \
		../src/services/libglite_ce_cream_cli_services.la \
		$(GSOAP_PLUGIN_LIBS) \
		$(LOG4CPP_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
                $(GLOBUS_FTP_CLIENT_LIBS) \
                $(GLOBUS_FTP_CONTROL_LIBS) \
		$(CLASSAD_LIBS) \
		$(BOOST_FS_LIBS) \
		$(BOOST_THREAD_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
                $(ARES_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GLITE_JOBID_LIBS) \
		$(GSOAP_LIBS) 


glite_ce_job_output_LDFLAGS = \
		$(GLITE_JDL_LIBS) \
		$(GLITE_WMSUTILS_CLASSADS_LIBS) \
		../src/util/libglite_ce_cream_cli_JDL.la \
		../src/ftpclient/libglite_ce_cream_cli_ftpclient.la \
		$(GLITE_WMSUTILS_JOBID_LIBS) \
		$(GLITE_WMSUTILS_CJOBID_LIBS) \
		$(GLITE_WMSUTILS_EXCEPTION_LIBS) \
		$(GRIDSITE_OPENSSL_LIBS) \
		$(GLITE_CREAM_SOAP_LIBS) \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		../src/util/libglite_ce_cream_cli_util.la \
		../src/services/libglite_ce_cream_cli_services.la \
		$(GSOAP_PLUGIN_LIBS) \
		$(LOG4CPP_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
                $(GLOBUS_FTP_CLIENT_LIBS) \
                $(GLOBUS_FTP_CONTROL_LIBS) \
		$(CLASSAD_LIBS) \
		$(BOOST_FS_LIBS) \
		$(BOOST_THREAD_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
                $(ARES_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GLITE_JOBID_LIBS) \
		$(GSOAP_LIBS) 


glite_ce_job_purge_LDFLAGS = \
		$(GLITE_JDL_LIBS) \
		$(GLITE_WMSUTILS_CLASSADS_LIBS) \
		../src/util/libglite_ce_cream_cli_JDL.la \
		../src/ftpclient/libglite_ce_cream_cli_ftpclient.la \
		$(GLITE_WMSUTILS_JOBID_LIBS) \
		$(GLITE_WMSUTILS_CJOBID_LIBS) \
		$(GLITE_WMSUTILS_EXCEPTION_LIBS) \
		$(GRIDSITE_OPENSSL_LIBS) \
		$(GLITE_CREAM_SOAP_LIBS) \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		../src/util/libglite_ce_cream_cli_util.la \
		../src/services/libglite_ce_cream_cli_services.la \
		$(GSOAP_PLUGIN_LIBS) \
		$(LOG4CPP_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
                $(GLOBUS_FTP_CLIENT_LIBS) \
                $(GLOBUS_FTP_CONTROL_LIBS) \
		$(CLASSAD_LIBS) \
		$(BOOST_FS_LIBS) \
		$(BOOST_THREAD_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
                $(ARES_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GLITE_JOBID_LIBS) \
		$(GSOAP_LIBS) 


glite_ce_job_suspend_LDFLAGS = \
		$(GLITE_JDL_LIBS) \
		$(GLITE_WMSUTILS_CLASSADS_LIBS) \
		../src/util/libglite_ce_cream_cli_JDL.la \
		../src/ftpclient/libglite_ce_cream_cli_ftpclient.la \
		$(GLITE_WMSUTILS_JOBID_LIBS) \
		$(GLITE_WMSUTILS_CJOBID_LIBS) \
		$(GLITE_WMSUTILS_EXCEPTION_LIBS) \
		$(GRIDSITE_OPENSSL_LIBS) \
		$(GLITE_CREAM_SOAP_LIBS) \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		../src/util/libglite_ce_cream_cli_util.la \
		../src/services/libglite_ce_cream_cli_services.la \
		$(GSOAP_PLUGIN_LIBS) \
		$(LOG4CPP_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
                $(GLOBUS_FTP_CLIENT_LIBS) \
                $(GLOBUS_FTP_CONTROL_LIBS) \
		$(CLASSAD_LIBS) \
		$(BOOST_FS_LIBS) \
		$(BOOST_THREAD_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
                $(ARES_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GLITE_JOBID_LIBS) \
		$(GSOAP_LIBS) 

glite_es_delegate_proxy_LDFLAGS = \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		$(GRIDSITE_OPENSSL_LIBS) \
		$(GSOAP_PLUGIN_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
		$(BOOST_FS_LIBS) \
		$(BOOST_PO_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GSOAP_LIBS)

glite_es_activity_create_LDFLAGS = \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		$(GSOAP_PLUGIN_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GSOAP_LIBS)


glite_es_activity_status_LDFLAGS = \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		$(GSOAP_PLUGIN_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GSOAP_LIBS)

glite_es_activity_info_LDFLAGS = \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		$(GSOAP_PLUGIN_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GSOAP_LIBS)

glite_es_notify_service_LDFLAGS = \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		$(GSOAP_PLUGIN_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GSOAP_LIBS)

glite_es_delegation_renew_LDFLAGS = \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		$(GSOAP_PLUGIN_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GSOAP_LIBS)

glite_es_activity_list_LDFLAGS = \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		$(GSOAP_PLUGIN_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GSOAP_LIBS)

glite_es_activity_cancel_LDFLAGS = \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		$(GSOAP_PLUGIN_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GSOAP_LIBS)

glite_es_activity_wipe_LDFLAGS = \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		$(GSOAP_PLUGIN_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GSOAP_LIBS)

glite_es_activity_pause_LDFLAGS = \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		$(GSOAP_PLUGIN_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GSOAP_LIBS)

glite_es_activity_resume_LDFLAGS = \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		$(GSOAP_PLUGIN_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GSOAP_LIBS)

glite_es_delegation_info_LDFLAGS = \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		$(GSOAP_PLUGIN_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GSOAP_LIBS)

glite_es_activity_restart_LDFLAGS = \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		$(GSOAP_PLUGIN_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GSOAP_LIBS)

glite_es_get_resourceinfo_LDFLAGS = \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		$(GSOAP_PLUGIN_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GSOAP_LIBS)

glite_es_query_resourceinfo_LDFLAGS = \
		$(GLITE_CREAM_UTIL_LIBS) \
		$(GLITE_CREAM_ES_LIBS) \
		$(GSOAP_PLUGIN_LIBS) \
		$(GLOBUS_OPENSSL_LIBS) \
		$(GLOBUS_OPENSSL_MODULE_LIBS) \
		$(GLOBUS_CALLOUT_LIBS) \
		$(GLOBUS_COMMON_LIBS) \
		$(GLOBUS_CORE_LIBS) \
		$(GLOBUS_GSI_CALLBACK_LIBS) \
		$(GLOBUS_GSI_CERT_UTILS_LIBS) \
		$(GLOBUS_GSI_CREDENTIAL_LIBS) \
		$(GLOBUS_GSI_OPENSSL_ERROR_LIBS) \
		$(GLOBUS_GSI_PROXY_CORE_LIBS) \
		$(GLOBUS_GSI_PROXY_SSL_LIBS) \
		$(GLOBUS_GSI_SYSCONFIG_SSL_LIBS) \
		$(GLOBUS_GSSAPI_ERROR_LIBS) \
		$(GLOBUS_GSSAPI_GSI_LIBS) \
		$(GLOBUS_GSS_ASSIST_LIBS) \
		$(BOOST_REGEX_LIBS) \
		$(BOOST_PO_LIBS) \
		$(VOMS_CPP_THR_LIBS) \
		$(GSOAP_LIBS)

AM_CPPFLAGS =  \
	-I$(top_srcdir)/src \
	-I$(top_srcdir)/src/autogen \
	$(VOMS_CFLAGS) \
	$(GRIDSITE_OPENSSL_CFLAGS) \
	$(GLITE_CREAM_SOAP_CFLAGS) \
	$(GLITE_CREAM_UTIL_CFLAGS) \
	$(GSOAP_CFLAGS) \
	$(CLASSAD_CFLAGS) \
	$(BOOST_CFLAGS) \
	-UHAVE_CONFIG_H \
	$(LOG4CPP_CFLAGS) \
	$(GLOBUS_OPENSSL_CFLAGS) \
	$(GLOBUS_OPENSSL_MODULE_CFLAGS) \
	$(GLOBUS_CALLOUT_CFLAGS) \
	$(GLOBUS_COMMON_CFLAGS) \
	$(GLOBUS_CORE_CFLAGS) \
	$(GLOBUS_GSI_CALLBACK_CFLAGS) \
	$(GLOBUS_GSI_CERT_UTILS_CFLAGS) \
	$(GLOBUS_GSI_CREDENTIAL_CFLAGS) \
	$(GLOBUS_GSI_OPENSSL_ERROR_CFLAGS) \
	$(GLOBUS_GSI_PROXY_CORE_CFLAGS) \
	$(GLOBUS_GSI_PROXY_SSL_CFLAGS) \
	$(GLOBUS_GSI_SYSCONFIG_SSL_CFLAGS) \
	$(GLOBUS_GSSAPI_ERROR_CFLAGS) \
	$(GLOBUS_GSSAPI_GSI_CFLAGS) \
	$(GLOBUS_GSS_ASSIST_CFLAGS) \
	$(GLOBUS_FTP_CLIENT_CFLAGS) \
	$(GLOBUS_FTP_CONTROL_CFLAGS) \
	-pipe

MAINTAINERCLEANFILES = Makefile.in
